/*
 *  Remodal - v1.0.3
 *  Responsive, lightweight, fast, synchronized with CSS animations, fully customizable modal window plugin with declarative configuration and hash tracking.
 *  http://vodkabears.github.io/remodal/
 *
 *  Made by Ilya Makarov
 *  Under MIT License
 */

/* ==========================================================================
   Remodal's necessary styles
   ========================================================================== */

/* Hide scroll bar */


html.remodal-is-locked {
  overflow: hidden!important;    /* avoids dual scrollbars*/
}

/* Anti FOUC */

.remodal,
[data-remodal-id] {
  display: none;
}

/* Necessary styles of the overlay */

.remodal-overlay {
  position: fixed;
  z-index: 9999;
  top: -5000px;
  right: -5000px;
  bottom: -5000px;
  left: -5000px;

  display: none;
}

/* Necessary styles of the wrapper */

.remodal-wrapper {
  position: fixed;
  z-index: 10000;
 
   top: 0em;
  right: 0em;
  bottom: 0em;
  left: 0em;
   

  display: none;
  overflow: auto;

  text-align: center;

  /* -webkit-overflow-scrolling: touch; */
}

.remodal-wrapper:after {
  display: inline-block;

  height: 100%;
  margin-left: -0.05em;

  content: "";
}

/* Fix iPad, iPhone glitches */

.remodal-overlay,
.remodal-wrapper {
   -webkit-transform: translateZ(0px); 
   /* -webkit-backface-visibility: hidden;
    backface-visibility: hidden;  */
}

/* Necessary styles of the modal dialog */

.remodal {
  position: relative;
  
  outline: none;

  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

.remodal-is-initialized {
  /* Disable Anti-FOUC */
  display: inline-block;
}

.modal-top,
.modal-bottom{
   padding: 3rem 5% 3rem;
}

.page .modal-top{
  padding-top: 1.75rem;
  padding-bottom: 1.75rem
}

.modal-bottom{
  padding-top: 2rem;
  margin-bottom: 0rem;
}

.modal-body {
  background: #fff;
  background: var(--content-bg);
  /* */
  /* border-radius: .75rem; */
  overflow: hidden;
}

.modal-bottom{
  background-color: #fff;
}

.remodal .done {
  display: none;
}

.page .modal-bottom{
  padding-bottom: 2rem
/*   padding-right: 2%;
padding-left: 2% */
}

.modal-col-inline {
  display: inline-block;
  position: relative;
  vertical-align: top;  
outline: 0px dashed #0cf;
}

.modal-col-img{
  width: 39%;
  margin-right: 0%;
}

.page-optin-vid .modal-col-img{
  width: 32%;
  margin-right: 4%
}

.modal-col-txt{
  width: 60%;
  
  text-align: left
}

.modal-col-txt .modal-txt{
  text-align: left
}

.signup-modal-col-full{
  width: 100%;
  max-width: 500px;
  margin-left: auto;
  margin-right: auto;
}

.page-ty .signup-modal-col-full{
  max-width: 620px;
}
.page .signup-modal-col-full{
  max-width: none;
}
/* .signup-modal-left {
  width: 65%;
  margin-right: 7.5%;
}
.signup-modal-right {
  width: 25%;
} */

.modal-txt{
  margin-bottom: 1.5rem;
  text-align: center;
}

.page-ty .modal-txt{
  /* font-size: 1.16666667rem; */
  margin-bottom: 2rem;
}

.remodal p{
  margin-bottom: 1rem;
  color: var(--text-color--900);
} 

@media all and (max-width: 58em){

  body:not(.page-members) .voucher-code-modal .remodal p{
  
    display: inline;
      
  }

}

@media all and (max-width: 48em){
  
  .modal-top{
    /* padding-top: 2rem;
    padding-bottom: .85rem; */

  }

  .modal-bottom {
    padding-top: 1.5rem;
    padding-bottom: 2.5rem;
    padding-left: 3%;
    padding-right: 3%;
  }
  .modal-col-txt{
    width: 67.5%
  }

  .modal-col-img{
    width: 30%
  }

  .page-optin-vid .modal-col-img{
    width: 27%
  }

}



@media all and (max-width:  42em){
  .modal-top{
    padding-top: 1.5rem;
    padding-bottom: 1.5rem; 
  }

  .modal-bottom { 
    padding-left: 5%;
    padding-right: 5%;
  }

  .modal-txt p{
    text-align: center;
  }

  .modal-col-inline{
    display: block;
    text-align: center;
  }

  .modal-col-txt{
    width: 100%;
  }
  .modal-col-img{
    display: none;
  }
}

@media all and (max-height: 42em){
  .modal-txt p{
    line-height: 1.35;
    margin-bottom: 1rem; 
  }
}

@media all and (max-height: 35em){
  .page .modal-top {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .modal-txt,
  .modal-txt p{
    margin-bottom: .5rem
  }

  .remodal p {
    margin-bottom: 0rem;
  }
}

@media all and (max-height: 40em){
  .page-ty .modal-txt {    
    margin-bottom: 1.25rem;
  }
}


@media all and (max-width: 37em){
  .signup-modal-left{
    display: block;
    width: 100%;
  }

  .signup-modal-right{
    display: none;
  }
  

  .modal-bottom {
    padding-top: 1.25rem;
    padding-bottom: 2rem;
  }
    
  .page-optin .modal-txt{    
    text-align: center;
    line-height: 1.5;
    max-width: 27rem;
    margin-left: auto;
    margin-right: auto;
  }  

  .squeeze-cheat-3 .modal-txt{
    max-width: 21rem 
  }
  
}

@media all and (max-width: 32em){
  .modal-txt{
    /* font-size: 15px; */
  }
  .squeeze-cheat-3 .modal-txt{
    max-width: 21rem 
  }
}

@media all and (max-width: 30em){
   .page .modal-top {
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
  }
}

@media all and (max-height: 30em){
  .modal-top{
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  
  .modal-txt p{
    line-height: 1.25;
    margin-bottom: .75rem; 
  }  
}


@media all and (max-width:  29em){
  .modal-txt{
    /* max-width: 18rem;   */
  }
  
}

@media all and (max-width: 27em){
  .page-optin .modal-txt{
    max-width: 12.5rem;
  outline: 0px dashed #0cf;
  }

  .modal-txt p{
    line-height: 1.33333;
  }
}

@media all and (max-width: 25em){
  .squeeze-cheat-3 .modal-txt{
    max-width: 18rem 
  }

  .home .modal-txt .line-block{
    display: inline
  }

  body:not(.page-ty) .modal-txt p{
    line-height: 1.25;
  }
}



@media all and (max-width: 22em){
  .squeeze-cheat-3 .modal-txt{
    max-width: 14rem 
  }
}

@media all and (max-width:  21em){
  .home .modal-txt{
    /* max-width: 14.5rem;   */
  }
  
}

@media all and (max-width: 20em){
  .modal-bottom {    
    padding-left: 4%;
    padding-right: 4%
  }
}